/*
  @Copyright (C) 2006-2012, TomTom International B.V. All rights reserved.
*/


EXPORTED_SYMBOLS.push("ttNoInstallSubscription");
function ttNoInstallSubscription()
{
    ttItem.apply(this);
    ttSubscription.apply(this);
}
ttNoInstallSubscription.prototype =
{
    hasNoDownload : true,

    importFromXML : function()
    {
        ttItem.prototype.importFromXML.apply(this, arguments);
        ttSubscription.prototype.importSubscriptionFromXML.apply(this, arguments);
    },

    createTOC : function()
    {
        throw new NotReached(this.name + ": This 'item' has no files to install");
    },

    download : function(aProgressCallback, aSuccessCallback, aErrorCallback)
    {
        aSuccessCallback(this._stringBundle.GetStringFromName("nothingToDownload"));
    },

    __end : null
}
extend(ttNoInstallSubscription, ttItem);
extendMixIn(ttNoInstallSubscription, ttSubscription);
