/*
  @Copyright (C) 2006-2012, TomTom International B.V. All rights reserved.
*/


function ttSubTask()
{
}
ttSubTask.prototype =
{
    name : null,
    _ttwizard : null,
    _task : null,
    _doneCallback : null,
    commitPriority : 0,
_subtaskStartArgs : null,
_subtaskStartMarker : null,

    init : function(ttwizard, args, doneCallback, task)
    {
        this._ttwizard = ttwizard;
        this._doneCallback = doneCallback;
        this._task = task;
        this._subtaskStartArgs = args;
        this._subtaskStartMarker = ttwizard.getHistoryMarker();
    },
    start : function(args)
    {
},
restart : function()
    {
        this._ttwizard.rewindHistory(this._subtaskStartMarker);
        this._ttwizard.pageLoadStarted();

        this.start(this._subtaskStartArgs);
    },

    subtaskDone : function(data)
    {
        this._doneCallback(data);
    },

    abort : function(data)
    {
    },

    loadSubTask : function(subTask, inArgs, doneCallback)
    {
        try {
            subTask.init(this._ttwizard, inArgs, doneCallback, this._task);
            subTask.start(inArgs);
        } catch (e) { errorAbortTask(e); }
    },

    networkCall : function(aCall)
    {
        this._ttwizard.addNetworkCall(aCall);
        return aCall;
    },

    _constructPageURL : function(pageName)
    {
        return  "chrome://tthome/content/ui/subtask/"
                + escape(this.name) 
                + "/"
                + escape(pageName)
                + ".xul";
    },
    __end : null
}
