/*
  @Copyright (C) 2006-2012, TomTom International B.V. All rights reserved.
*/

var gRemCorrsDeviceObserver =
{
    changed : function(deviceChanged, locationChanged)
    {
        dialog.close();
    }
};
function NYRemoveDialog()
{
    ttDialog.call(this, "footer");
}
NYRemoveDialog.prototype =
{
    onLoad: function(params)
    {
        gApplication.deviceManager.addObserver(gRemCorrsDeviceObserver);
        if (!gApplication.deviceManager.activeDevice || !gApplication.deviceManager.activeDevice.mapShare)
        {
            E("mapshare-not-supported").hidden = false;
        }
        else
        {
            E("mapshare-supported").hidden = false;
        }
    },

    saveAndClose : function ()
    {
        if (gApplication.deviceManager.activeDevice && gApplication.deviceManager.activeDevice.mapShare)
        {
            var mapShare = gApplication.deviceManager.activeDevice.mapShare.QueryInterface(CI.ttIMapShare);

            if (E("removePersonal").getAttribute("checked"))
            {
                mapShare.deleteMapCorrectionsFromDevice(CI.ttIMapShare.kMapCorrectionTypePersonal);
            }
            if (E("removePublic").getAttribute("checked"))
            {
                mapShare.deleteMapCorrectionsFromDevice(CI.ttIMapShare.kMapCorrectionTypePublic);
            }
        }

        this.close();
    },

    close : function()
    {
        gApplication.deviceManager.removeObserver(gRemCorrsDeviceObserver);
        ttDialog.prototype.close.apply(this, arguments);
    },

    __end : null
}
extend(NYRemoveDialog, ttDialog);
var dialog = new NYRemoveDialog();
