/*
  @Copyright (C) 2006-2012, TomTom International B.V. All rights reserved.
*/


function AboutDialog()
{
    ttDialog.call(this, "footer");
}
AboutDialog.prototype =
{
    onLoad: function(params)
    {
        E("about-version").textContent = gApplication.settings.version;

        var aboutStrings = E("about-strings");
        var vendor = "";
        if (gApplication.settings.country.toLowerCase() == "us")
        {
            vendor = aboutStrings.getString("vendorUS");
        }
        else
        {
            vendor = aboutStrings.getString("vendor");
        }
        E("about-vendor").textContent = vendor;

        showMPL();
    },

    __end : null
}
extend(AboutDialog, ttDialog);
var dialog = new AboutDialog();


function showMPL()
{
    loadFrame("chrome://tthome/content/ui/dialogs/aboutApp/aboutInformation.html");
    E("eula-label").collapsed = true;
    E("mpl-link").setAttribute("disabled", true);
    E("eula-link").removeAttribute("disabled");
}

function launchSystemBrowser(urlString)
{
    var uri = getIOService().newURI(urlString, null, null);
    var utilStringBundle = getStringBundle("chrome://tthome/locale/logic/util.properties");

    try {
        var extps = Cc["@mozilla.org/uriloader/external-protocol-service;1"]
                    .getService(CI.nsIExternalProtocolService);
        extps.loadURI(uri, null);
        return true;
    } catch (e) {
        ttMessageService().confirm(
            utilStringBundle.GetStringFromName("problemLaunchingSystemBrowser.alert.title"),
            utilStringBundle.GetStringFromName("problemLaunchingSystemBrowser.alert.prompt"),
            utilStringBundle.GetStringFromName("problemLaunchingSystemBrowser.alert.copyToClipboard"),
            null,
            null,
            function(arg)
            {
                putStringOnClipboard(uri.spec);
            },
            MessageService.SEVERITY_WARNING);
        return false;
    }
}

function loadFrame(url)
{
    E("html-frame").setAttribute("src", url);
}
