/*
  @Copyright (C) 2006-2012, TomTom International B.V. All rights reserved.
*/



function DisconnectMessage()
{
    ttDialog.call(this, "footer");
    this._stringBundle = getStringBundle("chrome://tthome/locale/ui/dialogs/disconnectMessage/disconnectMessage.properties");
}
DisconnectMessage.prototype =
{    
    _stringBundle : null,
    _taskName : null,
    
    onLoad: function(params)
    {
        this._taskName = params.currenttask;
        var dev = gApplication.deviceManager.activeDevice;
        if (dev)
                {
                    if(deviceSupportsCapabilitySet(dev, "NotAutomotiveEmbedded"))
                    {
                        E("disconnect-message").textContent = this._stringBundle.GetStringFromName("disconnect.pnd.label");
                        E("disconnect-message-header").setAttribute("title", this._stringBundle.GetStringFromName("disconnect.pnd.title"));
                        E("image-icon").setAttribute("class", "pnd-icon");
                    }
                    else
                    {
                        E("disconnect-message").textContent = this._stringBundle.GetStringFromName("disconnect.card.label");
                        E("disconnect-message-header").setAttribute("title", this._stringBundle.GetStringFromName("disconnect.card.title"));
                        E("image-icon").setAttribute("class", "sd-icon");
                    }
                }
    },
setDisconnectMessage : function()
    {
        if(this._taskName != "Update")
        {
            if(E("checkbox-remember-disconnect").checked)
            {
                prefService().setBoolPref("tomtom.account.showDisconnectMessage", true);
            }
        }
        this.close(true);
    },
    __end : null
}

extend(DisconnectMessage, ttDialog);
var dialog = new DisconnectMessage();