/*
  @Copyright (C) 2006-2012, TomTom International B.V. All rights reserved.
*/


document.addEventListener("ttoverlayload", voiceOverlayLoad, false);

function voiceOverlayLoad()
{
    document.removeEventListener("ttoverlayload", voiceOverlayLoad, false);

    if (gItem.language)
    {
        E("voice-info-language").value = getLanguageName(gItem.language);
        E("voice-language-row").hidden = false;
    }
    if (gItem.audioSample)
    {
        E("voice-play-audio-sample").hidden = false;
    }
}

function voiceOverlayPlaySample()
{
    try {
        if (gItem.audioSampleMimetype == "audio/x-wav")
        {
            var sound = Cc["@mozilla.org/sound;1"].createInstance(CI.nsISound);
            sound.play(gItem.audioSample);
        }
        else
            throw new Exception("Sample format \"" + gItem.audioSampleMimetype + "\" not yet supported");
    } catch (e) {
        error(e);
    }
}
