/*
  @Copyright (C) 2006-2012, TomTom International B.V. All rights reserved.
*/


function InitiateBackup()
{
    ttPage.apply(this, arguments);
}

InitiateBackup.prototype =
{
    inputOnLoad: function()
    {
        if(prefService().getIntPref("tomtom.backup.automatic") != 2)
        {
             E("backupfooter").hidden =true;
        }
        var backupFolder = gApplication.settings.backupsDir;
        if(gApplication.deviceManager.getDeviceType() != "pnd")
        {
            E("deviceimage").className = "automotiveDeviceImage";
        }
        var backup = getLatestBackup(true, backupFolder);
        if(backup)
        {
             var file = Cc["@mozilla.org/file/local;1"]
             .createInstance(CI.nsILocalFile);

            file.initWithPath(backup.location.path);
            file.append('backup.xml');

            if (!file.exists())
            {
                 E("backuppop").hidden = true;
            }
            E('nobackup').hidden = true;
            E('backuptimestamp').hidden = false;
            var modTime = backup.modificationTime;
            var timeStamp = modTime.split(' ');
            var date="";
            var months = ["","January","February","March","April","May","June","July","August","September","October","November","December"];
            if(timeStamp.length == 5)
            {
                date = months[parseInt(timeStamp[1], 10)]+" "+timeStamp[0]+", "+timeStamp[2]+" - "+timeStamp[3]+":"+timeStamp[4];
            }
            E('backuptime').textContent = date;
        }
    },

    quitBackup : function()
    {
        this._wizard().goHome(true);
    },

    moreOptions : function(tabIndex)
    {
        top.gMainWindow.dialogs.openDialog(
            "chrome://tthome/content/ui/dialogs/preferences/preferencesSettings.xul",
            { tabIndex: tabIndex});
    },

    showLastBackup : function()
    {
        top.gMainWindow.dialogs.openDialog(
            "chrome://tthome/content/ui/dialogs/backup/lastBackup.xul"
            );
    }
};

extend(InitiateBackup, ttPage);
window.page = new InitiateBackup();
