/*
  @Copyright (C) 2006-2012, TomTom International B.V. All rights reserved.
*/


function mimChoose()
{
    ttPage.apply(this, arguments);
}

mimChoose.prototype =
{
    _listbox : null,
    _mimItem: null,
    contentType : null,

    inputOnLoad : function()
    {
        this.contentType = "map";

        this._listbox = E("listbox");
        this._listbox.addObserver(this);
    },
addedListItem : function(listitem)
    {
        listitem.selected = false;
        var me = this;
        var selectCallback = function(selectedItem) {
            me._listbox.hierarchyDeselectRadio(selectedItem, false);
        }
        listitem.addToggleRadioButton(selectCallback);
        listitem.setAllowChangeZone(false);
        if (this._mimItem)
        {
            listitem.selected = (listitem.modelitem.idurl == this._mimItem.idurl) ? true : false;
        }
    },

    updateSelected : function(listitem)
    {
        
    },

    inputStart : function(data)
    {
        let [itemlist, mim] = data;
        if (mim)
        {
            this._mimItem = mim;
        }

        this._listbox.addItemList(itemlist);
    },

    inputDone : function()
    {
        if (this._listbox.selectedListitems.length == 0)
        {
            this._listbox.childNodes[0].selected = true;
        }
    },

    result : function()
    {
        return this._listbox.selectedModelitems;
    }
}
extend(mimChoose, ttPage);
window.page = new mimChoose();

