/*
  @Copyright (C) 2006-2012, TomTom International B.V. All rights reserved.
*/


function SelectCopy()
{
    ttPage.apply(this, arguments);
}

SelectCopy.prototype =
{
    _doCopyItems: true,

    inputOnLoad : function(itemlist)
    {
        this._listbox = E("listbox");
        this._listbox.addObserver(this);
        this._listbox.addItemList(itemlist);
        this._listbox.addEventListener("select", makeCallback(this, this.selectionChanged), false);
        this.selectionChanged();
    },
    
    selectionChanged : function()
    {
        this.allowContinue(this._listbox.selectedListitems.length > 0);
    },

    continueWithoutCopying : function()
    {
        this._doCopyItems = false;
        this._wizard().goForward();
    },

    addedListItem : function(listitem)
    {
        listitem.selected = true;
        listitem.addToggleButton(null, null, null, null);
    },

    result : function()
    {
        return this._doCopyItems ? this._listbox.selectedModelitems : [];
    }
};
extend(SelectCopy, ttPage);
window.page = new SelectCopy();
