/*
  @Copyright (C) 2006-2012, TomTom International B.V. All rights reserved.
*/


function InitiateRestore()
{
    ttPage.apply(this, arguments);
}

InitiateRestore.prototype =
{
      inputOnLoad: function()
    {
        var backupFolder = gApplication.settings.backupsDir;
        if(gApplication.deviceManager.getDeviceType() != "pnd")
        {
            E("deviceimage").className = "automotiveDeviceImage";
        }
        var backup = getLatestBackup(true, backupFolder);


        if(backup)
        {
            var file = Cc["@mozilla.org/file/local;1"]
             .createInstance(CI.nsILocalFile);

            file.initWithPath(backup.location.path);
            file.append('backup.xml');

            if (!file.exists())
            {
                 E("backuppop").hidden = true;
            }
            
            E('nobackup').hidden = true;
            E('backuptimestamp').hidden = false;
            var modTime = backup.modificationTime;
            var timeStamp = modTime.split(' ');
            var date="";
            var months = ["","January","February","March","April","May","June","July","August","September","October","November","December"];
            if(timeStamp.length == 5)
            {
                date = months[parseInt(timeStamp[1], 10)]+" "+timeStamp[0]+", "+timeStamp[2]+" - "+timeStamp[3]+":"+timeStamp[4];
            }
            E('backuptime').textContent = date;
        }
    },

    showLastBackup : function()
    {
        top.gMainWindow.dialogs.openDialog(
            "chrome://tthome/content/ui/dialogs/backup/lastBackup.xul"
            );
    }
};
extend(InitiateRestore, ttPage);
window.page = new InitiateRestore();
