/*
  @Copyright (C) 2006-2012, TomTom International B.V. All rights reserved.
*/


function EmulatorTask(arg)
{
    ttTask.apply(this, arguments);
}
EmulatorTask.prototype =
{
    name : "EmulatorTask",

    init : function()
    {
        ttTask.prototype.init.apply(this, arguments);
        this.emulator = new Emulator();
    },

    start : function(args)
    {
        ttTask.prototype.start.apply(this, arguments);

        this.loadSubTask(this.emulator, args,
            makeCallback(this, this.emulatorDone)
            );
    },

    emulatorDone : function(data)
    {
        this.taskDone();
    },
_deviceChanged : function ()
    {
        top.gMainWindow.loadTaskByName("emulator");
    },
    _deviceRemoved : function ()
    {
        task.abort();
        this._deviceChanged();
    },
_installLocationChanged : function()
    {
    },

    __end : null
}
extend(EmulatorTask, ttTask);
var task = new EmulatorTask();
