/*
  @Copyright (C) 2006-2012, TomTom International B.V. All rights reserved.
*/


function LatestMapGuaranteeTask(arg)
{
    ttTask.apply(this, arguments);
}
LatestMapGuaranteeTask.prototype =
{
    name : "LatestMapGuarantee",

    start : function (params)
    {
        ttTask.prototype.start.apply(this, arguments);
        this.addCleanupHandler(function(task, success, data)
        {
            if (success)
            {
                runAsync(function(){ top.MapSubscription.offerMapSubscriptionDeal(true, "lmg"); });
            }
        });

        if (params && params.cleanupHandler)
            this.addCleanupHandler(params.cleanupHandler);

        this.loadSubTask(new LatestMapGuarantee(params), null,
            makeCallback(this, this.lmgDone)
            );
    },

    lmgDone : function (data)
    {
       top.gMainWindow.loadTaskByName("update");
    },

    __end : null
}
extend(LatestMapGuaranteeTask, ttTask);
var task = new LatestMapGuaranteeTask();
