/*
  @Copyright (C) 2006-2012, TomTom International B.V. All rights reserved.
*/


function AutoLogin()
{
}
AutoLogin.prototype =
{
_lastUserLoggedIn : null,

    start : function()
    {
        gApplication.deviceManager.addObserver(this);
    },
changed : function(deviceChanged, locationChanged)
    {
        if (!deviceChanged)
            return;

        var dev = gApplication.deviceManager.activeDevice;
        if (!dev)
            return;

        var login = gApplication.login;
        var userForDevice = null;
        var currentUsername = login.currentUsername;

        try {
            userForDevice = login.getDefaultUsernameForDevice(dev);
            if (userForDevice && (userForDevice == currentUsername))
            {
                this._callLoginDeviceRel();
                return;
            }

            var me = this;
            login.tryStoredLogin(function()
                {
                    me._lastUserLoggedIn = userForDevice;
                    prefService().setCharPref("tomtom.account.username", userForDevice);{}
},
                makeCallback(this, this._callLoginDeviceRel),
                makeCallback(this, this._callLoginDeviceRel), false);
        } catch(e) {
            unimportantError(e);
            this._callLoginDeviceRel();
        }
    },
_callLoginDeviceRel : function()
    {
        var username = gApplication.login.currentUsername;
        var dev = gApplication.deviceManager.activeDevice;
        if (dev && username)
            gApplication._loginDeviceRel._validateDeviceAssociation(username, function(){}, function(){});
    }
}
