/*
  @Copyright (C) 2006-2012, TomTom International B.V. All rights reserved.
*/


EXPORTED_SYMBOLS.push(
    "ttMapSharePatches",
    "ttMapSharePOIPatches",
    "ttMapShareMapPatches"
);
function ttMapSharePatches(name, description, size)
{
    ttItem.apply(this);
    this._name = name;
    this._size = size;
    this._description = description;
    this._locationType = 4;
    this._supplierID = "tomtom";
    this._supplierName = "TomTom";
    this._isSharing = false;
}
ttMapSharePatches.prototype =
{
    _listEntry :
    {
        modelType : ttMapSharePatches,
        xmlTag : "mapsharepatches",
        priority : 16
    },

    __end : null
}
extend(ttMapSharePatches, ttItem);

function ttMapSharePOIPatches(name, description, size)
{
    ttMapSharePatches.apply(this, arguments);
    this._icon = new ttImage("skin:///images/MapShare_icon_48x48.png");
    this._preview = new ttImage("skin:///images/MapShare_preview_160x160.png");
    this._idurl = "http://fake.id.tomtom.com/mapsharepatches/poipatches";
}
extend(ttMapSharePOIPatches, ttMapSharePatches);

function ttMapShareMapPatches(name, description, size)
{
    ttMapSharePatches.apply(this, arguments);
    this._icon = new ttImage("skin:///images/MapShare_icon_48x48.png");
    this._preview = new ttImage("skin:///images/MapShare_preview_160x160.png");
    this._idurl = "http://fake.id.tomtom.com/mapsharepatches/mappatches";
}
extend(ttMapShareMapPatches, ttMapSharePatches);
