/*
  @Copyright (C) 2006-2012, TomTom International B.V. All rights reserved.
*/


function ttPage()
{
    window.addEventListener("DOMContentLoaded", function() {
        let className = " taskPage";
        if (/\bwindowDialog\b/.test(top.document.documentElement.className))
            className += " windowDialog";

        document.documentElement.className += className;
    }, false);
}

ttPage.prototype =
{
    inputOnLoad : function(data)
    {
    },

    inputStart : function(data)
    {
    },
    addedListItem : function(listitem)
    {
    },
    removedListItem : function(listitem)
    {
    },

    inputDone : function(data)
    {
    },

    result : function()
    {
        return null;
    },

    allowMiddle : function(yes)
    {
        this._wizard().allowMiddle(yes);
    },

    allowContinue : function(yes)
    {
        this._wizard().allowContinue(yes);
    },

    continue : function()
    {
this._wizard().cancelNetworkCalls();

        this._wizard().goForward();
    },

    set title(title)
    {
        this._wizard().pagetitle = title;
    },

    set subtitle(subtitle)
    {
        this._wizard().pagesubtitle = subtitle;
    },

    networkCall : function(aCall)
    {
        this._wizard().addNetworkCall(aCall);
        return aCall;
    },

    _wizard : function()
    {
       return window.parent.document.getElementsByTagName("ttwizard").item(0);
    },

    __end : null
}


function errorAbortTask(e)
{
    window.parent.task.abort();
    error(e);
}

function errorNonFatal(e)
{
    if (e)
    {
        e = ensureExceptionIsObject(e);
        e.severity = Exception.downgradeSeverity(e.severity, Exception.SEVERITY_WARNING);
    }

    error(e);
}
