/*
  @Copyright (C) 2006-2012, TomTom International B.V. All rights reserved.
*/



function DisconnectErrorMessage()
{
    ttDialog.call(this, "footer");
    this._stringBundle = getStringBundle("chrome://tthome/locale/ui/dialogs/disconnectMessage/disconnectErrorMessage.properties");
}
DisconnectErrorMessage.prototype =
{
onLoad: function(params)
    {
        var currentTask = params.currenttask;
        var deviceType = params.installLocOfDevice;
        if((deviceType != null) && (currentTask != null))
        {
            if(deviceType == "pnd")
            {
                E("image-icon").setAttribute("class", "pnd-icon");
                E("connectMsg-header").setAttribute("title", this._stringBundle.GetStringFromName("connect.pnd.title"));
                
                if(currentTask == "BackupTask" ||  currentTask == "RestoreTask")
                {
                    E("connectMsg-content").textContent = this._stringBundle.GetStringFromName("connect.pnd.backup.restore.content");
                }
                else if(currentTask == "ManageItems" || currentTask == "BuyAndInstall" || currentTask == "ShowLocalItems")
                {
                    E("connectMsg-content").textContent = this._stringBundle.GetStringFromName("connect.pnd.manage.items.content");
                }
                else if(currentTask == "Update")
                {
                    E("connectMsg-content").textContent = this._stringBundle.GetStringFromName("connect.pnd.update.content");
                }
                
            }
            else
            {
                E("image-icon").setAttribute("class", "sd-icon");
                E("connectMsg-header").setAttribute("title", this._stringBundle.GetStringFromName("connect.sd.title"));
                
                if(currentTask == "BackupTask" || currentTask == "RestoreTask")
                {
                    E("connectMsg-content").textContent = this._stringBundle.GetStringFromName("connect.sd.backup.restore.content");
                }
                else if(currentTask == "ManageItems" || currentTask == "BuyAndInstall" || currentTask == "ShowLocalItems")
                {
                    E("connectMsg-content").textContent = this._stringBundle.GetStringFromName("connect.sd.manage.items.content");
                }
                else if(currentTask == "Update")
                {
                    E("connectMsg-content").textContent = this._stringBundle.GetStringFromName("connect.sd.update.content");
                }                
            }
        }
    },
    __end : null
}

extend(DisconnectErrorMessage, ttDialog);
var dialog = new DisconnectErrorMessage();