/*
  @Copyright (C) 2006-2012, TomTom International B.V. All rights reserved.
*/


function InappropriateDialog()
{
    ttDialog.call(this, "page-footer");
}
InappropriateDialog.prototype =
{
    _item : null,
    _reasonCategory : null,

    onLoad : function(params)
    {
        this._item = params.item;
        this._reasonCategory = params.reasonCategory;
        E("reason").value = this._reasonCategory;
    },

    report: function ()
    {
        try
        {
            var dev = (gApplication.deviceManager.activeDevice || gApplication.deviceManager.lastDevice);
            var reason = this._reasonCategory + "\n" + E("reason-input").value;

            var me = this;
            this.networkCall(rpc.call("sharing", "reportItem",
                {
                    deviceserial: dev.serial,
                    devicecode: dev.deviceCode,
                    devicemodel: dev.model.id,
                    item: this._item.idurl,
                    reason: reason
                }, null, RPC.METHOD_POST,
                function ()
                {
                    var stringBundle = getStringBundle("chrome://tthome/locale/ui/dialogs/moreinfo/inappropriate.properties");
                    ttMessageService().alert(stringBundle.GetStringFromName("thankYou.title"),
                                             stringBundle.GetStringFromName("thankYou.prompt"));
                    me.close(true);
                },
                function (e)
                {
                    error(e);
                    me.close(false);
                }));
        }
        catch (e)
        {
            error(e);
            this.close(false);
        }
    },

    enforceMaxLength: function (aTextbox)
    {
var text = aTextbox.value;

        if (text.length <= 300)
            return;
var selectionStart = aTextbox.selectionStart;
        var selectionEnd = aTextbox.selectionEnd;

        aTextbox.value = text.substr(0, 300);
        aTextbox.setSelectionRange(selectionStart, selectionEnd);
    },

    __end : null
};
extend(InappropriateDialog, ttDialog);
var dialog = new InappropriateDialog();
