/*
  @Copyright (C) 2006-2012, TomTom International B.V. All rights reserved.
*/


if (!("arguments" in window))
    initFromURLParams();
function TaskDialog()
{
    ttDialog.call(this);
}
TaskDialog.prototype =
{
get currentTask()
    {
        var loadedWnd = E("main-deck").homeBrowser.contentWindow;
        return (loadedWnd ? loadedWnd.task : null);
    },
onLoad: function(params)
    {
        assert(params && typeof params.url == "string", "Need a task URL to load");

        var me = this;
        E("main-deck").loadMain(
            params.url,
            function()
            {
                try {
                    var task = me.currentTask;
                    assert(task, "task not found");

                    task.init(
                        function()
                        {
                            setTimeout(function() { me.close(); }, 0);
                        });

                    task._ttwizard.watch(
                        "pagetitle",
                        function(prop, oldval, newval)
                        {
                            document.title = newval;
                            return newval;
                        });

                    task.start(params.taskParams);
                } catch (e) {
                    error(e);
                    me.close();
                }
            },
            function() {});
    },

    __end : null
}
extend(TaskDialog, ttDialog);
var dialog = new TaskDialog();
function initFromURLParams()
{
    var params = {};
    params.__proto__ = null;
    for each (var param in location.search.replace(/^\?/, "").split("&"))
    {
        var [name, value] = param.split("=");
        params[decodeURIComponent(name)] = decodeURIComponent(value);
    }
    window.arguments = [params, {}, {}, null];
    window.opener = window;
    window.gMainWindow = {dialogs: new Dialogs(),
        statusbar: {
            deviceStateDisplay: {overrideDeviceBusyStatus: function() {}},
            setLockVisible: function() {},
            showProgress: function() {}
        }
    };
    gApplication.start();
}
