/*
  @Copyright (C) 2006-2012, TomTom International B.V. All rights reserved.
*/



function getLatestBackup(theSameDevice, backupFolder)
{
    var backups = gApplication.homeServices.backups();

    backups.setFolder(backupFolder);

    var backupsArray = IteratorToArray(backups.iterator, CI.ttIBackup);

    var dev = gApplication.deviceManager.activeDevice;
    var latest = null;

    for (var i = 0; i < backupsArray.length; i++)
    {
        var backup = backupsArray[i];

        if (!theSameDevice)
        {
            if (backup.deviceModelID != dev.model.modelName)
                continue;
        }
        else
        {
            if (backup.deviceID != dev.id)
                continue;
        }

        if (!latest)
            latest = backup;

        if (latest.timestamp < backup.timestamp)
            latest = backup;
    }

    return latest;
}
