/*
  @Copyright (C) 2006-2012, TomTom International B.V. All rights reserved.
*/


function SelectInstall()
{
    ttPage.apply(this, arguments);
    this._stringBundle = getStringBundle("chrome://tthome/locale/ui/subtask/installSelectSome/selectInstall.properties");
}

SelectInstall.prototype =
{
    _stringBundle : null,
_installLater : false,

    inputOnLoad : function(params)
    {
        this._listbox = E("listbox");
        this._listbox.addObserver(this);

        if ("hideInstallLater" in params && params["hideInstallLater"])
        {
            this._wizard()._wizfooter.getMiddleButton().hidden = true;
        }
    },

    inputStart : function(itemlist)
    {
        this._listbox.addItemList(itemlist);
    },

    addedListItem : function(listitem)
    {
        if (!listitem.disabled)
            listitem.selected = true;
        listitem.addToggleButton(this._stringBundle.GetStringFromName("install"), this._stringBundle.GetStringFromName("later"),
                                 null, null);
    },

    result : function()
    {
        return this._installLater ? [] : this._listbox.selectedModelitems;
    },

    installLater : function()
    {
        var sb = this._stringBundle;

        this._installLater = ttMessageService().confirm(
                sb.GetStringFromName("installLater.popup.title"),
                sb.GetStringFromName("installLater.popup.message"),
                sb.GetStringFromName("installLater.popup.cancel.label"),
                sb.GetStringFromName("installLater.popup.ok.label"),
                null,
                null,
                MessageService.SEVERITY_INFORMATIVE);

        if (this._installLater)
            this.continue();
    }
}
extend(SelectInstall, ttPage);
window.page = new SelectInstall();
