/*
  @Copyright (C) 2006-2012, TomTom International B.V. All rights reserved.
*/


function CheckoutTask(arg)
{
    ttTask.apply(this, arguments);
}

CheckoutTask.prototype =
{
    name : "CheckoutTask",

    init : function()
    {
        ttTask.prototype.init.apply(this, arguments);
        this.checkout = new Checkout();
        this.install = new InstallSelectSome();
    },

    start : function ()
    {
        ttTask.prototype.start.apply(this, arguments);

        this.loadSubTask(this.checkout, null, makeCallback(this, this.checkoutDone));
    },

    checkoutDone : function (items)
    {
        if (items.length == 0)
        {
this.taskDone();
            return;
        }

        this.installLoad(items, true);

    },

    installLoad : function(items, confirmSelect)
    {
        this.loadSubTask(this.install,
            { items: items, confirmSelection: confirmSelect },
            makeCallback(this, this.installDone)
            );
    },

    installDone : function()
    {
        this.taskDone();
    },

    __end : null
}
extend(CheckoutTask, ttTask);
var task = new CheckoutTask();
