/*
  @Copyright (C) 2006-2012, TomTom International B.V. All rights reserved.
*/

function assertRunnable(params)
{

    var dev = gApplication.deviceManager.activeDevice;

    if (!dev)
        throw new DeviceAbsentException();

    if (dev && dev.isUsbDevice)
	{
		throw new UnsupportedCapabilityException();
	}
	else if (!deviceSupportsCapabilitySet(dev, "NotAutomotiveEmbedded") &&
        (!params || !params.eiffel))
	{
        throw new UnsupportedCapabilityException();
	}
    return true;
}
