/*
  @Copyright (C) 2006-2012, TomTom International B.V. All rights reserved.
*/


function RestoreTask(arg)
{
    ttTask.apply(this, arguments);
}

RestoreTask.prototype =
{
    name : "RestoreTask",

    start : function ()
    {
        ttTask.prototype.start.apply(this, arguments);

        this.loadSubTask(new Restore(), null, makeCallback(this, this.taskDone));
    },
_deviceRemoved : function ()
    {
        if(this._ttwizard)
        {
            let commitPage = this._ttwizard._wizbrowser.contentWindow.page;
            if (commitPage && !commitPage._done && commitPage._disconnect)
            {
                commitPage._disconnect = false;
                commitPage.disturbedDownload(true);
                this._ttwizard.cancelCommit();
                commitPage.loadDisconnectDeviceErrorMessage();
            }
        }
    },

    __end : null
}
extend(RestoreTask, ttTask);
var task = new RestoreTask();
