/*
  @Copyright (C) 2006-2012, TomTom International B.V. All rights reserved.
*/


function ShowLocalItemsTask(arg)
{
    ttTask.apply(this, arguments);
}
ShowLocalItemsTask.prototype =
{
    name : "ShowLocalItems",

    start : function(contentType)
    {
        ttTask.prototype.start.apply(this, arguments);

        this.loadSubTask(new ShowLocalItems(), null,
            makeCallback(this, this.showDone)
            );
    },
_deviceRemoved : function ()
    {
        if(this._ttwizard)
        {
            let commitPage = this._ttwizard._wizbrowser.contentWindow.page;
            if (commitPage && !commitPage._done && commitPage._disconnect)
            {
                commitPage._disconnect = false;
                commitPage.disturbedDownload(true);
                this._ttwizard.cancelCommit();
                commitPage.loadDisconnectDeviceErrorMessage();
            }
        }

    },

    showDone : function(items)
    {
        this.loadSubTask(new InstallSelectSome(),
            { confirmSelection: false, items: items },
            makeCallback(this, this.taskDone)
            );
    },

    __end : null
}
extend(ShowLocalItemsTask, ttTask);
var task = new ShowLocalItemsTask();
