/*
  @Copyright (C) 2006-2012, TomTom International B.V. All rights reserved.
*/


function UpdateTask(arg)
{
    ttTask.apply(this, arguments);
}
UpdateTask.prototype =
{
    name : "Update",
    startParams : null,
    _update : null,

    start : function(params)
    {
        ttTask.prototype.start.apply(this, arguments);

        if (!params) {
            params = {};
        }

        params.restartUpdateTaskOnLoginChange = true;

        this.startParams = params;
        this._update = new Update(params);
        this.loadSubTask(this._update, null,
            makeCallback(this, this.updateDone)
            );
    },
_deviceRemoved : function ()
    {
        if(this._ttwizard)
        {
            let commitPage = this._ttwizard._wizbrowser.contentWindow.page;
            if (commitPage && !commitPage._done && commitPage._disconnect)
            {
                commitPage._disconnect = false;
                commitPage.disturbedDownload(true);
                this._ttwizard.cancelCommit();
                commitPage.loadDisconnectDeviceErrorMessage();
            }
        }
    },

    updateDone : function(data)
    {
        this.taskDone();
    },

    _observerLoginChanged : function()
    {
        this._update.loginChanged();
        let commitPage = this._ttwizard._wizbrowser.contentWindow.page;
        if (commitPage && !commitPage._done && commitPage._disconnect)
        {
            this._ttwizard._cancelCommit = true;
            this._ttwizard.cancelCommit();
        }
    }
}
extend(UpdateTask, ttTask);
var task = new UpdateTask();
